PKCE mandatory from 2026-09-14 Details
Employment Hero LogoEmployment Hero

Cost Centre

This endpoint retrieves a paginated list of cost centres available within the specified organisation.

GET
https://api.employmenthero.com/api/v1/organisations/:organisation_id/cost_centres

Path Parameters

organisation_iduuidrequired

The ID of the organisation to retrieve

Query Parameters

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100

Response Body

A JSON object with a data property that contains an array of cost centre objects and pagination information. Each cost centre object includes the unique identifier and name of the cost centre.

dataobject
itemsobject[]
iduuid

Unique identifier for the cost centre.

namestring

Name of the cost centre.

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100
total_itemsnumber

Total items

total_pagesnumber

Total pages

Example

curl -X GET \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/cost_centres" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "items": [      {        "id": "7daf1397-338c-4b91-9d46-44e6cd56297a",        "name": "Marketing Department"      },      {        "id": "b992fc49-7e98-4743-b53b-51bec9cf4dc3",        "name": "Sales Department"      }    ],    "page_index": 1,    "item_per_page": 20,    "total_items": 2,    "total_pages": 1  }}